PhysicalFsWriter.VariantTracker (ORC Core 1.6.5 API)
Date: 2020-10-01

org.apache.orc.impl

## Class PhysicalFsWriter.VariantTracker

- java.lang.Object
- - org.apache.orc.impl.PhysicalFsWriter.VariantTracker

- Enclosing class:
    PhysicalFsWriter

      protected static class PhysicalFsWriter.VariantTracker
      extends Object

  Record the information about each column encryption variant. The unencrypted data and each encrypted column root are variants.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected OrcProto.ColumnStatistics[]` | `fileStats`
    `protected StreamOptions` | `options`
    `protected Map<StreamName,org.apache.orc.impl.PhysicalFsWriter.BufferedStream>` | `streams`
    `protected List<OrcProto.ColumnStatistics>[]` | `stripeStats`
    `protected List<OrcProto.Stream>` | `stripeStatsStreams`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.orc.impl.PhysicalFsWriter.BufferedStream` | `createStream(StreamName name)`
    `long` | `getFileBytes(int column)` Computed the size of the given column on disk for this stripe.
    `List<OrcProto.Stream>` | `placeStreams(StreamName.Area area, org.apache.orc.impl.PhysicalFsWriter.SizeCounters sizes)` Place the streams in the appropriate area while updating the sizes with the number of bytes in the area.
    `void` | `writeStreams(StreamName.Area area, FSDataOutputStream raw)` Write the streams in the appropriate area.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### streams

          protected final Map<StreamName,org.apache.orc.impl.PhysicalFsWriter.BufferedStream> streams

    - #### options

          protected final StreamOptions options

    - #### stripeStats

          protected final List<OrcProto.ColumnStatistics>[] stripeStats

    - #### stripeStatsStreams

          protected final List<OrcProto.Stream> stripeStatsStreams

    - #### fileStats

          protected final OrcProto.ColumnStatistics[] fileStats

  - ### Method Detail

    - #### createStream

          public org.apache.orc.impl.PhysicalFsWriter.BufferedStream createStream(StreamName name)

    - #### placeStreams

          public List<OrcProto.Stream> placeStreams(StreamName.Area area,
                                                    org.apache.orc.impl.PhysicalFsWriter.SizeCounters sizes)

      Place the streams in the appropriate area while updating the sizes with the number of bytes in the area.
      Parameters:
        `area` - the area to write
        `sizes` - the sizes of the areas
      Returns:
        the list of stream descriptions to add

    - #### writeStreams

          public void writeStreams(StreamName.Area area,
                                   FSDataOutputStream raw)
                            throws IOException

      Write the streams in the appropriate area.
      Parameters:
        `area` - the area to write
        `raw` - the raw stream to write to
      Throws:
        `IOException`

    - #### getFileBytes

          public long getFileBytes(int column)

      Computed the size of the given column on disk for this stripe. It excludes the index streams.
      Parameters:
        `column` - a column id
      Returns:
        the total number of bytes

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.